
Initial planning was carried out in a meeting over Slack, with 2 colleagues present. My initial thoughts were to use a CloudWatch alert after I had been previously working on a ticket to make something similar. However, another member of the team pointed out that for this type of monitoring we would need to set it on a schedule. There are many SaaS partner services which can be integrated into AWS; New Relic, Grafana, Prometheus and Datadog are just a few examples. Prometheus and Grafana would work well together, and are free, Datadog and New Relic, whilst providing the appropriate functionality, are subscription-based services.  When taking all these services into consideration, and conducting some research online, I concluded that it would be more appropriate to use a lambda function scheduled using EventBridge. As someone new to the field of DevOps, I thought it would be more time efficient to stick to using simple AWS services that I am somewhat familiar with. Figure 1 shows the high-level overview of my initial plan for this job.
